FailedServletContextDTO
Date: 2016-06-25

org.osgi.service.http.runtime.dto

## Class FailedServletContextDTO

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.service.http.runtime.dto.ServletContextDTO
    - - org.osgi.service.http.runtime.dto.FailedServletContextDTO

-     public class FailedServletContextDTO
      extends ServletContextDTO

  Represents a servlet context that is currently not used due to some problem. The following fields return an empty array for a `FailedServletContextDTO`:
  - `ServletContextDTO.servletDTOs`
  - `ServletContextDTO.resourceDTOs`
  - `ServletContextDTO.filterDTOs`
  - `ServletContextDTO.errorPageDTOs`
  - `ServletContextDTO.listenerDTOs`

  The method `ServletContextDTO.attributes` returns an empty map for a `FailedServletContextDTO`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `failureReason` The reason why the servlet context represented by this DTO is not used.

    - ### Fields inherited from class org.osgi.service.http.runtime.dto.ServletContextDTO

      `attributes, contextPath, errorPageDTOs, filterDTOs, initParams, listenerDTOs, name, resourceDTOs, serviceId, servletDTOs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FailedServletContextDTO()`

  - ### Method Summary

    - ### Methods inherited from class org.osgi.dto.DTO

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### failureReason

          public int failureReason

      The reason why the servlet context represented by this DTO is not used.
      See Also:
        `DTOConstants.FAILURE_REASON_UNKNOWN`, `DTOConstants.FAILURE_REASON_EXCEPTION_ON_INIT`, `DTOConstants.FAILURE_REASON_NO_SERVLET_CONTEXT_MATCHING`, `DTOConstants.FAILURE_REASON_SERVICE_NOT_GETTABLE`, `DTOConstants.FAILURE_REASON_SERVLET_CONTEXT_FAILURE`, `DTOConstants.FAILURE_REASON_SHADOWED_BY_OTHER_SERVICE`

  - ### Constructor Detail

    - #### FailedServletContextDTO

          public FailedServletContextDTO()